This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987519 - X segfaults with [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter
X segfaults with [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-sis (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 10:49 EDT by David Juran
Modified: 2017-09-14 07:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (41.49 KB, text/plain)
2013-07-23 10:49 EDT, David Juran
no flags Details
Patch which solves the problem (1.63 KB, patch)
2014-02-15 17:07 EST, Julius Schwartzenberg
no flags Details | Diff

  None (edit)
Description David Juran 2013-07-23 10:49:19 EDT
Created attachment 777355 [details]
Xorg log

Description of problem:
The HP T5725 thin-client comes with a SIS graphics chip that lspci identifies as
 Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter

When starting up X on RHEL6.4, it segfaults very soon after startup with the following backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x00a92446 in __memcpy_ia32 () from /lib/libc.so.6
(gdb) bt
#0  0x00a92446 in __memcpy_ia32 () from /lib/libc.so.6
#1  0x00000040 in ?? ()
#2  0x00459fdc in SiS_libc_memcpy (dst=0xb65c67cc "", src=0x4a744 <Address 0x4a744 out of bounds>, size=1276) at /usr/include/bits/string3.h:52
#3  0x0043fb41 in SiSMemCopyFromVideoRam (pSiS=0x9b19628, to=0xb65c67cc "", from=0x4a744 <Address 0x4a744 out of bounds>, size=1276) at sis_driver.c:14031
#4  0x004331e5 in SiSDownloadFromScreen (pSrc=0xb657c008, x=0, y=239, w=256, h=<value optimized out>, dst=<value optimized out>, dst_pitch=1276) at sis310_accel.c:1967
#5  0x0024f6e2 in ?? () from /usr/lib/xorg/modules/libexa.so
#6  0x0024fcc3 in ?? () from /usr/lib/xorg/modules/libexa.so
#7  0x0024fdc0 in ?? () from /usr/lib/xorg/modules/libexa.so
#8  0x00250b22 in ?? () from /usr/lib/xorg/modules/libexa.so
#9  0x0024c451 in ?? () from /usr/lib/xorg/modules/libexa.so
#10 0x00255156 in ?? () from /usr/lib/xorg/modules/libexa.so
#11 0x00255ac8 in ?? () from /usr/lib/xorg/modules/libexa.so
#12 0x081e9d5a in miCopyRegion ()
#13 0x081ea3a0 in miDoCopy ()
#14 0x00253e0c in ?? () from /usr/lib/xorg/modules/libexa.so
#15 0x08189e0b in ?? ()
#16 0x0813b5f2 in ?? ()
#17 0x0813cd27 in ?? ()
#18 0x08078d25 in ?? ()
#19 0x080c27dc in ?? ()
#20 0x00a2dce6 in __libc_start_main () from /lib/libc.so.6
#21 0x08066101 in _start ()


Version-Release number of selected component (if applicable):
xorg-x11-drv-sis-0.10.7-2.el6
xorg-x11-server-Xorg-1.13.0-11.el6

X logfile attached

How reproducible:
Every time


Additional info:
On RHEL6.2, with xorg-x11-drv-sis-0.10.3-1.el6 and xorg-x11-server-Xorg-1.10.4-6.el6, everything worked fine
Comment 1 David Juran 2013-07-23 11:10:10 EDT
creating a file, /etc/X11/xorg.conf with the following content stops the crash (by disabling acceleration...)

Section "Device"
  Identifier "t5725"
  driver "sis"
  Option     "NoAccel"             "True"
EndSection
Comment 3 Julius Schwartzenberg 2014-02-15 17:07:32 EST
Created attachment 863625 [details]
Patch which solves the problem

This is the same problem as described here:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-sis/+bug/1066464

It is still present in version 6.5.

The mentioned patch in the bug solves this problem. I have attached this patch here as well. SRPM and RPMs which solve the issue, can be found here:
https://drive.google.com/folderview?id=0B7qFWV1vXYQUX0lid0gzZXBzRlE
(built on CentOS 6.5)

Note You need to log in before you can comment on or make changes to this bug.